//Source file: CallAdditionalReportCriteria.java
//Date: September 2004
//Generic Call Control Data Types for 3GPP TS 29.198-04-2 V5.8.0

package org.csapi.jr.se.cc.gccs;

/**
 * Defines the Tagged Choice of Data Elements that specify specific criteria. 
 *
 */
public final class CallAdditionalReportCriteria implements java.io.Serializable {

    private CallReportType _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new CallAdditionalReportCriteria.
     * Tagged choice of data elements always have empty constructors
     */ 
    public CallAdditionalReportCriteria() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a CallReportType value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public CallReportType getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a NoAnswerDuration
     * 
     * @return  a int value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public int getNoAnswerDuration() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != CallReportType.CALL_REPORT_NO_ANSWER) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.Integer) _object).intValue());
    }

    /**
     * This method sets a NoAnswerDuration
     * 
     * @param value a int value
     */
    public void setNoAnswerDuration(int value) {
        _discriminator = CallReportType.CALL_REPORT_NO_ANSWER;
        _object = new java.lang.Integer(value);
    }

    /**
     * This method returns a ServiceCode
     * 
     * @return  a org.csapi.jr.se.cc.CallServiceCode value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.cc.CallServiceCode getServiceCode() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != CallReportType.CALL_REPORT_SERVICE_CODE) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.cc.CallServiceCode) _object);
    }

    /**
     * This method sets a ServiceCode
     * 
     * @param value a org.csapi.jr.se.cc.CallServiceCode value
     */
    public void setServiceCode(org.csapi.jr.se.cc.CallServiceCode value) {
        _discriminator = CallReportType.CALL_REPORT_SERVICE_CODE;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a CallReportType value 
     */ 
    public void setUndefined(CallReportType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof CallAdditionalReportCriteria)) {
            return false;
        } else {
            CallAdditionalReportCriteria callAdditionalReportCriteria= (CallAdditionalReportCriteria)o;
            if(!(this._object.equals(callAdditionalReportCriteria._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(callAdditionalReportCriteria._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // CallAdditionalReportCriteria

