//Source file: CallEndedEvent.java
//Date: September 2004
//Generic Call Control Interfaces for 3GPP TS 29.198-04-2 V5.8.0

package org.csapi.jr.se.cc.gccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the callEnded() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class CallEndedEvent extends java.util.EventObject {

    /**
     * Constructor for the CallEndedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public CallEndedEvent(java.lang.Object source,
        org.csapi.jr.se.cc.gccs.CallEndedReport report) {

        super(source);
      this.report = report;
 
    }

    org.csapi.jr.se.cc.gccs.CallEndedReport report;

    /**
     *  This method is used to retrieve the parameter value of 'report' passed up
     *  from the Gateway in it's call to the callEnded() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'report' used on creation of this event.
     */
    public org.csapi.jr.se.cc.gccs.CallEndedReport getReport() {

        return this.report;
    }
       
}

