//Source file: CallEventCriteriaResult.java
//Date: September 2004
//Generic Call Control Data Types for 3GPP TS 29.198-04-2 V5.8.0

package org.csapi.jr.se.cc.gccs;

/**
 * Defines a sequence of data elements that specify a requested call event notification criteria with the associated assignmentID. 
 * 
 */
public final class CallEventCriteriaResult implements java.io.Serializable {

    private org.csapi.jr.se.cc.gccs.CallEventCriteria callEventCriteria;
    private int assignmentID;

    /**
     * Creates a new CallEventCriteriaResult instance.
     */
    public CallEventCriteriaResult () {}

    /**
     * Creates a new CallEventCriteriaResult instance.
     * @param _callEventCriteria   The event criteria that were specified by the application.
     * @param _assignmentID   The associated assignmentID. This can be used to disable the notification.
     */
    public CallEventCriteriaResult (org.csapi.jr.se.cc.gccs.CallEventCriteria _callEventCriteria, int _assignmentID) {

        this.callEventCriteria = _callEventCriteria;
        this.assignmentID = _assignmentID;
    }

    /**
     * This method returns a callEventCriteria.
     * 
     * @return a org.csapi.jr.se.cc.gccs.CallEventCriteria value
     */
    public org.csapi.jr.se.cc.gccs.CallEventCriteria getCallEventCriteria() {
        return callEventCriteria;
    }

    /**
     * This method returns a assignmentID.
     * 
     * @return a int value
     */
    public int getAssignmentID() {
        return assignmentID;
    }


    /**
     * This method sets a callEventCriteria.
     */ 
    public void setCallEventCriteria(org.csapi.jr.se.cc.gccs.CallEventCriteria callEventCriteria) {
        this.callEventCriteria = callEventCriteria;
    }

    /**
     * This method sets a assignmentID.
     */ 
    public void setAssignmentID(int assignmentID) {
        this.assignmentID = assignmentID;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof CallEventCriteriaResult)) {
            return false;
        } 
        CallEventCriteriaResult callEventCriteriaResult = (CallEventCriteriaResult) o;
        if(!(this.assignmentID == callEventCriteriaResult.assignmentID)) {
            return false;
        }
        if ((this.callEventCriteria != null) && (callEventCriteriaResult.callEventCriteria != null)) {
            if(!(this.callEventCriteria.equals(callEventCriteriaResult.callEventCriteria))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // CallEventCriteriaResult

