//Source file: CallFaultDetectedEvent.java
//Date: September 2004
//Generic Call Control Interfaces for 3GPP TS 29.198-04-2 V5.8.0

package org.csapi.jr.se.cc.gccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the callFaultDetected() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class CallFaultDetectedEvent extends java.util.EventObject {

    /**
     * Constructor for the CallFaultDetectedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public CallFaultDetectedEvent(java.lang.Object source,
        org.csapi.jr.se.cc.gccs.CallFault fault) {

        super(source);
      this.fault = fault;
 
    }

    org.csapi.jr.se.cc.gccs.CallFault fault;

    /**
     *  This method is used to retrieve the parameter value of 'fault' passed up
     *  from the Gateway in it's call to the callFaultDetected() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'fault' used on creation of this event.
     */
    public org.csapi.jr.se.cc.gccs.CallFault getFault() {

        return this.fault;
    }
       
}

