//Source file: CallLoadControlListener.java
//Date: September 2004
//Generic Call Control Interfaces for 3GPP TS 29.198-04-2 V5.8.0

package org.csapi.jr.se.cc.gccs;

/**
 * This interface is to be implemented for receiving events issued by the CallLoadControl activity object.<BR>
 *
 */
public interface CallLoadControlListener extends java.util.EventListener {
   /**
    * Called due to a Gateway initiated call to the callOverloadEncountered() method on
    * the callback interface.
    *
    * @param  callOverloadEncounteredEvent  Reference to a CallOverloadEncounteredEvent event
    *        emmited from the impl or activity object.
    */
    void onCallOverloadEncounteredEvent(org.csapi.jr.se.cc.gccs.CallOverloadEncounteredEvent callOverloadEncounteredEvent);


   /**
    * Called due to a Gateway initiated call to the callOverloadCeased() method on
    * the callback interface.
    *
    * @param  callOverloadCeasedEvent  Reference to a CallOverloadCeasedEvent event
    *        emmited from the impl or activity object.
    */
    void onCallOverloadCeasedEvent(org.csapi.jr.se.cc.gccs.CallOverloadCeasedEvent callOverloadCeasedEvent);

}
