//Source file: CallReport.java
//Date: September 2004
//Generic Call Control Data Types for 3GPP TS 29.198-04-2 V5.8.0

package org.csapi.jr.se.cc.gccs;

/**
 * Defines the Sequence of Data Elements that specify the call report and call leg report specific information. 
 * 
 */
public final class CallReport implements java.io.Serializable {

    private org.csapi.jr.se.cc.CallMonitorMode monitorMode;
    private String callEventTime;
    private org.csapi.jr.se.cc.gccs.CallReportType callReportType;
    private org.csapi.jr.se.cc.gccs.CallAdditionalReportInfo additionalReportInfo;

    /**
     * Creates a new CallReport instance.
     */
    public CallReport () {}

    /**
     * Creates a new CallReport instance.
     * @param _monitorMode   
     * @param _callEventTime   
     * @param _callReportType   
     * @param _additionalReportInfo   
     */
    public CallReport (org.csapi.jr.se.cc.CallMonitorMode _monitorMode, String _callEventTime, org.csapi.jr.se.cc.gccs.CallReportType _callReportType, org.csapi.jr.se.cc.gccs.CallAdditionalReportInfo _additionalReportInfo) {

        this.monitorMode = _monitorMode;
        this.callEventTime = _callEventTime;
        this.callReportType = _callReportType;
        this.additionalReportInfo = _additionalReportInfo;
    }

    /**
     * This method returns a monitorMode.
     * 
     * @return a org.csapi.jr.se.cc.CallMonitorMode value
     */
    public org.csapi.jr.se.cc.CallMonitorMode getMonitorMode() {
        return monitorMode;
    }

    /**
     * This method returns a callEventTime.
     * 
     * @return a String value
     */
    public String getCallEventTime() {
        return callEventTime;
    }

    /**
     * This method returns a callReportType.
     * 
     * @return a org.csapi.jr.se.cc.gccs.CallReportType value
     */
    public org.csapi.jr.se.cc.gccs.CallReportType getCallReportType() {
        return callReportType;
    }

    /**
     * This method returns a additionalReportInfo.
     * 
     * @return a org.csapi.jr.se.cc.gccs.CallAdditionalReportInfo value
     */
    public org.csapi.jr.se.cc.gccs.CallAdditionalReportInfo getAdditionalReportInfo() {
        return additionalReportInfo;
    }


    /**
     * This method sets a monitorMode.
     */ 
    public void setMonitorMode(org.csapi.jr.se.cc.CallMonitorMode monitorMode) {
        this.monitorMode = monitorMode;
    }

    /**
     * This method sets a callEventTime.
     */ 
    public void setCallEventTime(String callEventTime) {
        this.callEventTime = callEventTime;
    }

    /**
     * This method sets a callReportType.
     */ 
    public void setCallReportType(org.csapi.jr.se.cc.gccs.CallReportType callReportType) {
        this.callReportType = callReportType;
    }

    /**
     * This method sets a additionalReportInfo.
     */ 
    public void setAdditionalReportInfo(org.csapi.jr.se.cc.gccs.CallAdditionalReportInfo additionalReportInfo) {
        this.additionalReportInfo = additionalReportInfo;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof CallReport)) {
            return false;
        } 
        CallReport callReport = (CallReport) o;
        if ((this.callReportType != null) && (callReport.callReportType != null)) {
            if(!(this.callReportType.equals(callReport.callReportType))) {
                return false;
            }
        }
        if ((this.additionalReportInfo != null) && (callReport.additionalReportInfo != null)) {
            if(!(this.additionalReportInfo.equals(callReport.additionalReportInfo))) {
                return false;
            }
        }
        if(!(this.callEventTime == callReport.callEventTime))  {
            return false;
        }
        if ((this.monitorMode != null) && (callReport.monitorMode != null)) {
            if(!(this.monitorMode.equals(callReport.monitorMode))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // CallReport

