//Source file: Constants.java
//Date: September 2004
//Generic Call Control Data Types for 3GPP TS 29.198-04-2 V5.8.0

package org.csapi.jr.se.cc.gccs;

/**
 * This interface contains constants not associated with any type, but associated with the package org.csapi.jr.se.cc.gccs
 *
 */
public interface Constants {

    /**
     * Undefined
     */
    public static final int EVENT_NAME_UNDEFINED = 0;

    /**
     * GCCS - Offhook event
This can be used for hot-line features. In case this event is set in the TpCallEventCriteria, only the originating address(es) may be specified in the criteria.
     */
    public static final int EVENT_GCCS_OFFHOOK_EVENT = 1;

    /**
     * GCCS - Address information collected
The network has collected the information from the A-party, but not yet analysed the information. The number can still be incomplete. Applications might set notifications for this event when part of the number analysis needs to be done in the application (see also the getMoreDialledDigitsReq method on the call class).
     */
    public static final int EVENT_GCCS_ADDRESS_COLLECTED_EVENT = 2;

    /**
     * GCCS - Address information is analysed
The dialled number is a valid and complete number in the network.
     */
    public static final int EVENT_GCCS_ADDRESS_ANALYSED_EVENT = 4;

    /**
     * GCCS - Called party is busy
     */
    public static final int EVENT_GCCS_CALLED_PARTY_BUSY = 8;

    /**
     * GCCS - Called party is unreachable (for example the called party has a mobile telephone that is currently switched off).
     */
    public static final int EVENT_GCCS_CALLED_PARTY_UNREACHABLE = 16;

    /**
     * GCCS - No answer from called party
     */
    public static final int EVENT_GCCS_NO_ANSWER_FROM_CALLED_PARTY = 32;

    /**
     * GCCS - Failure in routing the call
     */
    public static final int EVENT_GCCS_ROUTE_SELECT_FAILURE = 64;

    /**
     * GCCS - Party answered call.
     */
    public static final int EVENT_GCCS_ANSWER_FROM_CALL_PARTY = 128;

} // org.csapi.jr.se.cc.gccs.Constants
