//Source file: GetCallInfoErrEvent.java
//Date: September 2004
//Generic Call Control Interfaces for 3GPP TS 29.198-04-2 V5.8.0

package org.csapi.jr.se.cc.gccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getCallInfoErr() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class GetCallInfoErrEvent extends java.util.EventObject {

    /**
     * Constructor for the GetCallInfoErrEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetCallInfoErrEvent(java.lang.Object source,
        org.csapi.jr.se.cc.CallError errorIndication) {

        super(source);
      this.errorIndication = errorIndication;
 
    }

    org.csapi.jr.se.cc.CallError errorIndication;

    /**
     *  This method is used to retrieve the parameter value of 'errorIndication' passed up
     *  from the Gateway in it's call to the getCallInfoErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'errorIndication' used on creation of this event.
     */
    public org.csapi.jr.se.cc.CallError getErrorIndication() {

        return this.errorIndication;
    }
       
}

