//Source file: GetMoreDialledDigitsResEvent.java
//Date: September 2004
//Generic Call Control Interfaces for 3GPP TS 29.198-04-2 V5.8.0

package org.csapi.jr.se.cc.gccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getMoreDialledDigitsRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class GetMoreDialledDigitsResEvent extends java.util.EventObject {

    /**
     * Constructor for the GetMoreDialledDigitsResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetMoreDialledDigitsResEvent(java.lang.Object source,
        java.lang.String                digits) {

        super(source);
      this.digits = digits;
 
    }

    java.lang.String                digits;

    /**
     *  This method is used to retrieve the parameter value of 'digits' passed up
     *  from the Gateway in it's call to the getMoreDialledDigitsRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'digits' used on creation of this event.
     */
    public java.lang.String getDigits() {

        return this.digits;
    }
       
}

