//Source file: RouteListener.java
//Date: September 2004
//Generic Call Control Interfaces for 3GPP TS 29.198-04-2 V5.8.0

package org.csapi.jr.se.cc.gccs;

/**
 * This interface is to be implemented for receiving events issued by the Route activity object.<BR>
 *
 */
public interface RouteListener extends java.util.EventListener {

   /**
    * Called due to a Gateway initiated call to the routeRes() method on
    * the callback interface.
    *
    * @param  routeResEvent  Reference to a RouteResEvent event
    *        emmited from the impl or activity object.
    */
    void onRouteResEvent(org.csapi.jr.se.cc.gccs.RouteResEvent routeResEvent);


   /**
    * Called due to a Gateway initiated call to the routeErr() method on
    * the callback interface.
    *
    * @param  routeErrEvent  Reference to a RouteErrEvent event
    *        emmited from the impl or activity object.
    */
    void onRouteErrEvent(org.csapi.jr.se.cc.gccs.RouteErrEvent routeErrEvent);

}
